package work.xuye.common.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import work.xuye.common.annotation.ResponseBodyEnhanceController;
import work.xuye.common.db.entity.Mapping;
import work.xuye.common.db.entity.Task;
import work.xuye.common.db.entity.Template;
import work.xuye.common.db.service.MappingService;
import work.xuye.common.db.service.TaskService;
import work.xuye.common.db.service.TemplateService;

import java.util.List;

/**
 * @author xuye
 * @since 2023/3/4 14:03
 **/
@Slf4j
@Api(tags = "配置信息")
@RequestMapping("/config")
@RequiredArgsConstructor
@ResponseBodyEnhanceController
public class ConfigController {


    private final TaskService taskService;
    private final TemplateService templateService;
    private final MappingService mappingService;


    @GetMapping("/task")
    @ApiOperation(value = "任务列表")
    public List<Task> taskList() {
        return taskService.list();
    }

    @GetMapping("/template")
    @ApiOperation(value = "模板列表")
    public List<Template> templateList() {
        return templateService.list();
    }

    @GetMapping("/mapping")
    @ApiOperation(value = "映射列表")
    public List<Mapping> mappingList() {
        return mappingService.list();
    }
}
