package work.xuye.common.db.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import work.xuye.common.enums.DeleteCheckMode;
import work.xuye.common.enums.Status;

/**
 * @author xuye
 * @since 2023/2/17 23:41
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SinkParams {

    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 根据哪个字段来判断这条数据是否需要执行update
     */
    private CheckUpdate checkUpdate;
    /**
     * 来判断这条数据是否需要执行delete
     */
    private CheckDelete checkDelete;
    /**
     * 数据源名字
     */
    private String dataSourceName;

    /**
     * 表名
     */
    private String tableName;

    @Data
    public static class CheckUpdate {
        private Status status;

        private String fieldName;
        private String jsonPath;
    }

    @Data
    public static class CheckDelete {
        private Status status;
        private DeleteCheckMode mode;
        private DisappearConfig disappearConfig;
    }

    @Data
    public static class DisappearConfig {

        private String condition;


    }

    @Data
    public static class FieldConfig {
        private String fieldName;
        private String jsonPath;

    }
}
