package work.xuye.common.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.http.HttpMethod;
import work.xuye.common.enums.CharsetType;

import java.util.Map;

/**
 * @author xuye
 * @since 2023/2/17 23:41
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HttpRequestParams {

    private String method = HttpMethod.GET.name();

    private String url;

    private Map<String, Object> body = Map.of();

    private CharsetType charset;

    private Map<String, String> headers = Map.of();

    private Map<String, String> placeholderExpressions = Map.of();

}
