package work.xuye.scheduler.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import work.xuye.common.annotation.ResponseBodyEnhanceController;
import work.xuye.common.dto.TaskVO;
import work.xuye.scheduler.service.IssueService;

import java.util.ArrayList;

/**
 * @author xuye
 * @since 2023/2/17 23:01
 **/
@Slf4j
@Api(tags = "下发任务")
@RequestMapping("/task")
@RequiredArgsConstructor
@ResponseBodyEnhanceController
public class ScheduleController {

    private final IssueService issueService;

    @GetMapping
    @ApiOperation(value = "下发全部任务")
    public ArrayList<TaskVO> issueTask() {
        return issueService.issueAllTask();
    }


    @GetMapping("/id/{id}")
    @ApiOperation(value = "根据任务ID下发")
    public TaskVO issueTask(@PathVariable Integer id) {
        return issueService.issueTask(id);
    }

}
