package work.xuye.transformer.transformer;

import com.google.gson.JsonObject;
import com.google.gson.JsonParser;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/2/18 13:01
 **/
@Slf4j
@Component("resData")
public class ResDataTransformer implements MessageTransformer {

    @Override
    public String transform(String json, String seedUrl) {
        JsonObject res = JsonParser.parseString(json).getAsJsonObject();
        boolean hasData = res.has("data");
        if (!hasData) {
            log.info("resData transform error, json:{}, seedUrl:{}", json, seedUrl);
            throw new RuntimeException("resData transform error, seedUrl:" + seedUrl);
        }
        return res.get("data").getAsString();
    }

}
